input:not([type=checkbox],[type=radio],[type=submit]), select, textarea{
    --forms-input-padding:0.3rem 0.8rem;
    --forms-input-background_color: var(--ele-background,#fff);
    --forms-input-border: 1px solid var(--ele-border-color,#bdc8d4);
    --forms-input-border_radius:4px;
    --forms-input-font_weight: 400;
    --forms-input-font_size.9rem;
    --forms-input-color:var(--ele-color,inherit);
    padding: var(--forms-input-padding);
    background-color: var(--forms-input-background_color);
    border: var(--forms-input-border);
    border-radius: var(--forms-input-border_radius);
    font-weight: var(--forms-input-font_weight);
    font-size: var(--forms-input-font_size);
    color: var(--forms-input-color);
}
:is(input:not([type="checkbox"],[type="radio"],[type="submit"]),select,textarea)::placeholder {
    --forms-input-placeholder-color: inherit;
    color: var(--forms-input-placeholder-color);
}
input:not([type=checkbox],[type=radio],[type=submit]):active, input:not([type=checkbox],[type=radio],[type=submit]):focus, select, textarea:active, textarea:focus{
    --forms-input-active-border_color: #627588;
    border-color: var(--forms-input-active-border_color);
}
input[type=checkbox], input[type=radio]{
    --forms-input-accent_color: var(--primary); 
    accent-color: var(--forms-input-accent_color);
}
input.error{
    --forms-input-error-border_color: #fd4141;
    border-color: var(--forms-input-error-border_color);
}
.hs-form label {
    --forms-label-font_weight: 400;
    --forms-label-font_size: .9rem;
    --forms-label-color: var(--typo-body-color);
    font-weight: var(--forms-label-font_weight);
    font-size: var(--forms-label-font_size);
    color: var(--forms-label-color);
}
label.hs-error-msg {
    --forms-label-error-color: #fd4141;
    color: var(--forms-label-error-color);
}
.dark-mode input,
.dark-mode select,
.dark-mode textarea {
    --forms-input-dark-mode-background:rgb(249 250 254 / 20%);
    --forms-input-dark-mode-color:#fff;
    background: var(--forms-input-dark-mode-background);
    color: var(--forms-input-dark-mode-color);
}
.dark-mode label{
    --forms-label-dark-mode-color:#fff;
    color: var(--forms-label-dark-mode-color);
}
.hs-form-required{
    --forms-required-color: #FD4141;
    color: var(--forms-required-color);
}

/* CTA */

:is(button,[type=submit]).large {
    padding: 0.5em 2em;
}
[type=submit], button {
    --ele-color: var(--off_white);
    --ele-border-color: var(--ctas-primary-border,var(--primary));
    --ele-background-color: var(--ctas-primary-bg,var(--primary));
    --ele-hover-background-color: var(--ctas-primary-hover-bg,var(--off_white));
    --ele-font-weight: var(--ctas-primary-font-font-weight,inherit);
    padding: 0.5em 1em;
    border: none;
    color: var(--ele-color);
    font-weight: var(--ele-font-weight);
    border-radius: 4px;
}
:is(button,[type=submit]):focus, :is(button,[type=submit]):hover {
    --ele-color: var(--ctas-primary-hover-font-color,var(--primary));